summaryrefslogtreecommitdiff
path: root/tcwg_bmk-build.sh
diff options
context:
space:
mode:
authorMaxim Kuvyrkov <maxim.kuvyrkov@linaro.org>2019-10-14 13:32:28 +0000
committerMaxim Kuvyrkov <maxim.kuvyrkov@linaro.org>2019-10-14 13:42:08 +0000
commit53147e318b9d6863f94d2dbd32043314c9b686d2 (patch)
tree8a8c94f6e54ab200b97a9b1d8572aeb888f61678 /tcwg_bmk-build.sh
parent43c294847ae8d85072171fec18745eb9b386db19 (diff)
tcwg_bmk-build.sh: Make regression comparison more conservative
... for handling unexpected inputs. Fail when "$metric" or "$result" is in unexpected format (not a number). Change-Id: I0e113e6dfc4e0e60f76665ae3fed6c690b5a0dc8
Diffstat (limited to 'tcwg_bmk-build.sh')
-rwxr-xr-xtcwg_bmk-build.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/tcwg_bmk-build.sh b/tcwg_bmk-build.sh
index 0ad0a84a..d862b2c2 100755
--- a/tcwg_bmk-build.sh
+++ b/tcwg_bmk-build.sh
@@ -265,7 +265,7 @@ compare_results ()
*"_base.default") threshold=$exe_threshold ;;
*) threshold=$symbol_threshold ;;
esac
- if [ "$metric" -gt "$threshold" ]; then
+ if ! [ "$metric" -le "$threshold" ]; then
result=100
else
result=1
@@ -337,7 +337,7 @@ no_regression_vs_p ()
bmk=${arr[0]}
symbol=${arr[1]}
result=${arr[2]}
- if [ "$result" -gt "5000" ]; then
+ if ! [ "$result" -le "5000" ]; then
echo "Regression in $bmk,$symbol"
status=1
fi
@@ -367,7 +367,7 @@ no_regression_to_base_p ()
status=0
while IFS=, read -r bmk symbol result; do
- if [ "$result" -gt "50" ]; then
+ if ! [ "$result" -le "50" ]; then
echo "Regression in $bmk,$symbol"
status=1
fi